/*
 * Copyright (C) 2004  Heinz Mauelshagen, Red Hat GmbH. All rights reserved.
 *
 * This dmraid library code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * dmraid is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this dmraid library; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA
 */

#ifndef	_DEV_IO_H_
#define	_DEV_IO_H_

#include <linux/hdreg.h>
#include <sys/stat.h>
#include "internal.h"

#define BLKSSZGET  _IO(0x12, 0x68) /* get block device sector size */
#define	DMRAID_SECTOR_SIZE	512

#define	DM_SECTORS	63
#define	DM_HEADS	255

struct dmraid_dev;

struct disk_info {
	struct list_head list;

	char *path;	/* Actual device node path. */
	char *serial;	/* SCSI serial number. */
	struct dmraid_dev *rd;	/* Raid disk pointer if discovered. */
	uint64_t sectors;
};

int discover_devices(struct lib_context *lc);
struct disk_info *alloc_disk_info(char *path);
void free_disk_info(struct lib_context *lc, struct disk_info *di);

#endif
