/*
 * Copyright (C) 2004  Heinz Mauelshagen, Red Hat GmbH. All rights reserved.
 *
 * This dmraid code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * dmraid is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this dmraid library; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA
 */

#ifndef	_TEMPLATE_H_
#define	_TEMPLATE_H_

#ifdef	FORMAT_HANDLER

/* CODEME: code ondisk metadata definitions */

#include <stdint.h>

#define	TEMPLATE_CONFIGOFFSET	((di->sectors - 1) << 9)
#define	TEMPLATE_DATAOFFSET		0

struct template {
	uint8_t magic_name[8];	/* metadata has a 'magic' name ? */
#define	TEMPLATE_MAGIC_NAME	"TEMPLATE"

	uint32_t magic;		/* and/or metadata has a 'magic' number ? */
#define	TEMPLATE_MAGIC_OK	0xABCDEF

	uint8_t	type;		/* RAID level */
#define	TEMPLATE_T_SPAN	0
#define	TEMPLATE_T_RAID0 1
	/* etc. */

	.......			/* members for numbers of disks, whatever... */
} __attribute((packed));
#endif

/* Prototype of the register function for this metadata format handler */
int register_template(void);

#endif
