/*
 * Copyright (C) 2004  Heinz Mauelshagen, Red Hat GmbH. All rights reserved.
 *
 * This dmraid code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * dmraid is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this dmraid library; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA
 */

#include "internal.h"
#include "misc.h"

/* Library initialization. */
int libdmraid_init(struct lib_context **lc, int argc, char **argv)
{
	if (!(*lc = alloc_lib_context(argv)))
		return 0;

	init_locking(*lc);
	sysfs_workaround(*lc);

	return register_formats(*lc);
}

/* Library exit processing. */
void libdmraid_exit(struct lib_context *lc)
{
	free_set(lc, NULL);		/* Free all RAID sets. */
	free_disk_info(lc, NULL);	/* Free all disk infos. */
	unregister_formats(lc);	
	free_lib_context(lc);
}

/* Return library version (ASCII). */
const char *libdmraid_version(struct lib_context *lc)
{
	return lc->version.text;
}
