/*
 * Copyright (C) 2004  Heinz Mauelshagen, Red Hat GmbH. All rights reserved.
 *
 * This dmraid code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * dmraid is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this dmraid library; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA
 */

#include <string.h>
#include <malloc.h>
#include <sys/types.h>
#include <stdint.h>
#include "dbg_malloc.h"
#include "log/log.h"

void *dbg_malloc(size_t size)
{
	return malloc(size);
}

void *dbg_realloc(void *ptr, size_t size)
{
	return realloc(ptr, size);
}

void dbg_free(void *ptr)
{
	free(ptr);
}

void *dbg_strdup(void *ptr)
{
	void *ret;

	if ((ret = dbg_malloc(strlen(ptr) + 1)))
		strcpy(ret, ptr);

	return ret;

}
